using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Train
{
    public class TrainPlanViewResponse:IViewResponse
    {
        /// <summary>
        /// 培训编码
        /// </summary>
        [Description("培训编码")]
        public string Code { get; set; }

        /// <summary>
        /// 培训标题
        /// </summary>
        [Description("培训标题")]
        public string Name { get; set; }

        /// <summary>
        /// 培训开始时间
        /// </summary>
        [Description("培训开始时间")]
        public DateTime TrainStartTime { get; set; }

        /// <summary>
        /// 培训结束时间
        /// </summary>
        [Description("培训结束时间")]
        public DateTime TrainEndTime { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Description("创建人")]
        public string CreatorName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Description("创建时间")]
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 创建部门
        /// </summary>
        [Description("创建部门")]
        public string CreatorOrgName { get; set; }
    }
}
